# Class UpdateTopicRequest | EchoHub Documentation

# Class UpdateTopicRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record UpdateTopicRequest : IEquatable<UpdateTopicRequest>

Inheritance
  object
  UpdateTopicRequest

Implements
  IEquatable<UpdateTopicRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### UpdateTopicRequest(UpdateTopicRequest)

    protected UpdateTopicRequest(UpdateTopicRequest original)

#### Parameters

`original` UpdateTopicRequest

### UpdateTopicRequest(string?)

    public UpdateTopicRequest(string? Topic)

#### Parameters

`Topic` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Topic

    public string? Topic { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string?)

    public void Deconstruct(out string? Topic)

#### Parameters

`Topic` string

### Equals(UpdateTopicRequest?)

    public virtual bool Equals(UpdateTopicRequest? other)

#### Parameters

`other` UpdateTopicRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(UpdateTopicRequest?, UpdateTopicRequest?)

    public static bool operator ==(UpdateTopicRequest? left, UpdateTopicRequest? right)

#### Parameters

`left` UpdateTopicRequest
`right` UpdateTopicRequest

#### Returns

bool

### operator !=(UpdateTopicRequest?, UpdateTopicRequest?)

    public static bool operator !=(UpdateTopicRequest? left, UpdateTopicRequest? right)

#### Parameters

`left` UpdateTopicRequest
`right` UpdateTopicRequest

#### Returns

bool